# Tutorials

In this section, we provide a set of tutorials that cover different aspects of Archetypal Analysis (AA) using the Archetypes package. These tutorials are designed to help you get started with AA, understand its benefits, and demonstrate how to use the Archetypes package to perform various types of analyses.

The tutorials are organized into the following sections:

- [Archetype Analysis](examples/aa.ipynb): This section includes tutorials that demonstrate how to perform AA using the Archetypes package.
- [Biarchetype Analysis](examples/biaa.ipynb): This section includes tutorials that demonstrate how to perform Biarchetype Analysis using the Archetypes package.

:::{toctree}
:hidden: true

Archetype Analysis <examples/aa.ipynb>
Biarchetype Analysis <examples/biaa.ipynb>
:::

If you have any questions or issues while working through the tutorials, please don't hesitate to reach out to us. We hope you find these tutorials helpful in learning about AA and using the Archetypes package!
